## NAME

v.dissolve - Dissolve boundaries between adjacent areas sharing a common category number or attribute

## KEYWORDS

vector, area, dissolve

## SYNOPSIS

v.dissolve
v.dissolve help
v.dissolve input=name output=name [layer=integer] [column=string] [--overwrite]

### Flags:

--overwrite
  Force overwrite of output files

### Parameters:

input=name
  Name of input vector map
output=name
  Name for output vector map
layer=integer
  Layer number. If -1, all layers are extracted
  Default: 1
column=string
  Name of column used to dissolve common boundaries

## DESCRIPTION

The v.dissolve module is used to merge adjacent areas in a vector map which share the same category value. The resulting merged area(s) retains this category value. Optionally, a column can be defined which is used to find adjacent polygons with identical attribute for common boundary dissolving. GRASS defines a vector area as composite entity consisting of a set of closed boundaries and a centroid. The centroids must contain a category number (see v.centroids), this number is linked to area attributes and database links. Multiple attributes may be linked to a single vector entity through numbered fields referred to as layers. Refer to v.category for more details.

Merging of areas can also be accomplished using "`v.extract -d`" which provides some additional options. In fact, v.dissolve is simply a front-end to that module. The use of the column parameter adds a call to v.reclass before.

(GRASS Shell Script)

## EXAMPLES

### Basic use

    v.dissolve input=undissolved output=dissolved

### Dissolving based on column attributes

    # check column names:
    v.info -c polbnda_italy

    # dissolve based on column attributes:
    v.dissolve input=polbnda_italy output=pol_italy_regions col=vmap_nam

### Dissolving adjacent SHAPE files to remove tile boundaries

If tile boundaries of adjacent maps (e.g. CORINE Landcover SHAPE files) have to be removed, an extra step is required to remove duplicated boundaries:

    # patch tiles after import:
    v.patch -e `g.mlist type=vect pat="clc2000_*" sep=,` out=clc2000_patched

    # remove duplicated tile boundaries:
    v.clean clc2000_patched out=clc2000_clean tool=snap,break,rmdupl thresh=.01

    # dissolve based on column attributes:
    v.dissolve input=clc2000_clean output=clc2000_final col=CODE_00

## SEE ALSO

v.category, v.centroids, v.extract, v.reclass

## AUTHORS

module: M. Hamish Bowman, Dept. Marine Science, Otago University, New Zealand
Markus Neteler for column support
help page: Trevor Wiens

Last changed: $Date: 2007/05/24 07:59:56 $

Main index - vector index - Full index